Get Vendor
curl --request GET \
--url https://api.topsort.com/public/v1/catalog-search-service/catalogs/vendors/{vendor-id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/catalog-search-service/catalogs/vendors/{vendor-id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/catalog-search-service/catalogs/vendors/{vendor-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"imageURL": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"merchant_center_id": 123,
"globalId": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Catalog API
Get Vendor
Get vendor by ID.
GET
/
public
/
v1
/
catalog-search-service
/
catalogs
/
vendors
/
{vendor-id}
Get Vendor
Authorizations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Path Parameters
The ID of the vendor to retrieve.
Minimum string length:
1Was this page helpful?
⌘I